## nova 12.0.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
SQLAlchemy<1.1.0,>=0.9.9
boto>=2.32.1
decorator>=3.4.0
eventlet>=0.17.4
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware!=2.4.0,>=2.0.0
lxml>=2.3
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography>=1.0 # Apache-2.0
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
PrettyTable<0.8,>=0.7
sqlalchemy-migrate>=0.9.6
netaddr!=0.7.16,>=0.7.12
netifaces>=0.10.4
paramiko>=1.13.0
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
iso8601>=0.1.9
jsonschema!=2.5.0,<3.0.0,>=2.0.0
python-cinderclient>=1.3.1
python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
python-neutronclient>=2.6.0
python-glanceclient>=0.18.0
requests!=2.8.0,!=2.9.0,>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
setuptools>=16.0
websockify>=0.6.1
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
rfc3986>=0.2.0 # Apache-2.0
oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
psutil<2.0.0,>=1.1.1
oslo.versionedobjects>=0.9.0
alembic>=0.8.0
os-brick>=0.4.0 # Apache-2.0

=== debian/changelog ===
nova (2:12.0.4-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/network-data-json-in-configdrive.patch: Dropped, included upstream.
  * d/p/*: Refresh.

  [ David Della Vecchia ]
  * New upstream stable point release for OpenStack Liberty (LP: #1594867).
  * d/p/ignore-proxies.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 21 Jun 2016 12:08:46 -0400

nova (2:12.0.3-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 19 Apr 2016 11:37:40 -0400

nova (2:12.0.2-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * New upstream stable release (LP: #1559935).
    - d/rules: Drop use of proxy discard service, not required and
      causes unit test failures with this update.

  [ Corey Bryant ]
  * d/p/network-data-json-in-configdrive.patch: Cherry pick patch to properly
    inject network_data.json into the config drive (LP: #1513267).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 22 Mar 2016 14:24:08 -0400

nova (2:12.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913):
    - d/p/lp1508230.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 11:02:52 -0500

nova (2:12.0.0-0ubuntu2.15.10.1) wily; urgency=high

  * Fix attribute error when cloning raw images in Ceph (LP: #1508230):
    - d/p/lp1508230.patch: Cherry pick fix from upstream stable branch
      in advance of pending point release.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 09:56:57 +0000

nova (2:12.0.0-0ubuntu2) wily; urgency=medium

  * debian/tests/nova-compute-daemons: Give daemon 5 seconds to start. This is
    racy as the postinst start job is done as soon as Python starts, but that
    still needs some time to run nova-compute. Also, don't hide the apt-get
    output as it's important for diagnostics.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Oct 2015 14:47:17 +0200

nova (2:12.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:19:13 -0400

nova (2:12.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 11:28:11 -0400

nova (2:12.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 15:51:26 -0400

nova (2:12.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/ignore-proxies.patch: Rebased.
  * d/p/disable-sphinxcontrib.seqdiag.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 15:18:09 -0400

nova (2:12.0.0~b3-0ubuntu3) wily; urgency=medium

  * Fix a typo in package description. (LP: #1266432)

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Fri, 18 Sep 2015 13:38:49 +0200

nova (2:12.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/nova-common.install: Install nova-rootwrap-daemon.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Sep 2015 10:08:05 -0400

nova (2:12.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/disable-websockify-tests.patch: Rebased.
  * d/p/neutron-floating-ip-list.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:02:01 -0400

nova (2:12.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Align (build-)depends with upstream.
  * d/control: Add python-pymysql to depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 14:37:58 -0400

nova (2:12.0.0~b2-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack Liberty.
  * Update (build-)depends inline with upstream.
  * Refresh patches.
  * Disable use of sphinxcontrib.seqdiag.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Aug 2015 09:19:17 +0100

nova (2:12.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:30:12 +0100

nova (2:12.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/nova-compute.upstart.in: Fix (another) race between nova-compute and
    neutron-ovs-cleanup (LP: #1471022).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 06 Jul 2015 11:53:51 +0100

nova (2:12.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack Liberty.
  * Update (build-)depends inline with upstream.
  * Refresh patches.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 10:19:08 +0100

nova (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:56:17 -0400

nova (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New uptream milestone release:
    - d/control: Align with upstream version requirements.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 14:00:05 -0400

nova (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/p/*: Refresh.
    - d/p/compute-blkid-filter.patch,fix-oslo-transition.patch: Dropped,
      no longer required.
    - d/p/rate-limit-power-syncs.patch: Disable pending full rebase.
    - d/control: Align with upstream version requirements.
    - d/control: Add new dependencies on oslo-log, psutil.
    - d/control: Move oslo-vmware dependency to nova-compute-vmware package
      as no longer core.
    - d/p/skip-proxy-test.patch: Skip test which fails in launchpad buildds
      due to proxy confusion.


=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	# Fix any api sample template files with broken permissions
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P nova.tests.unit
	#testr init && testr run 
endif

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-clients nova-api python-nova
Depends: nova-compute, nova-conductor, nova-cert, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-network, nova-objectstore, nova-console,
 nova-consoleauth, python-nova
Restrictions: needs-root

## nova 12.0.6

=== requirements.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 requests!=2.8.0,!=2.9.0,>=2.5.2
 six>=1.9.0
 stevedore>=1.5.0 # Apache-2.0
-setuptools>=16.0
+setuptools!=24.0.0,>=16.0
 websockify>=0.6.1
 oslo.concurrency>=2.3.0 # Apache-2.0
 oslo.config>=2.3.0 # Apache-2.0
@@ -51,4 +51,4 @@
 psutil<2.0.0,>=1.1.1
 oslo.versionedobjects>=0.9.0
 alembic>=0.8.0
-os-brick>=0.4.0 # Apache-2.0
+os-brick!=1.4.0,>=0.4.0 # Apache-2.0

=== debian/changelog ===
nova (2:12.0.6-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * Backport fix for 'InstanceList.get_by_security_group_id can run
    very slow' (LP: #1552971):
    - d/p/list-instances-for-secgroup-without-joining-on-rules.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 07 Mar 2017 15:56:28 +0000

nova (2:12.0.6-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1648071).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 08:21:03 -0500

nova (2:12.0.5-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).
  * d/p/*: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 12 Oct 2016 11:07:30 -0400

nova (2:12.0.4-0ubuntu1~cloud2) trusty-liberty; urgency=medium

  * d/p/fix-resizing-in-imagebackend-cache.patch: Backport of newton change to
    ignore the resize check if the backing file doesn't exist (LP: #1608934).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 05 Oct 2016 15:04:20 +0100

nova (2:12.0.4-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * Backport fix for image resize bug (LP: #1369465)
    - d/p/libvirt-Split-out-resize_image-logic-from-create_ima.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 02 Aug 2016 16:53:45 +0100

nova (2:12.0.4-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jun 2016 20:58:33 +0000

## nova 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
boto>=2.32.1 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
cryptography>=1.0 # BSD/Apache-2.0
WebOb>=1.2.3 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7 # BSD
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
paramiko>=1.16.0 # LGPL
Babel>=1.3 # BSD
iso8601>=0.1.9 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient>=1.3.1 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
setuptools>=16.0 # PSF/ZPL
websockify>=0.6.1 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
rfc3986>=0.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
psutil<2.0.0,>=1.1.1 # BSD
oslo.versionedobjects>=1.5.0 # Apache-2.0
alembic>=0.8.0 # MIT
os-brick>=1.0.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
castellan>=0.3.1 # Apache-2.0

=== debian/changelog ===
nova (2:13.0.0-0ubuntu2) xenial; urgency=medium

  * d/nova-compute.init.in: Switch dependency on libvirtd -> libvirt-bin
    inline with libvirt packaging in Ubuntu (LP: #1567811).

 -- James Page <james.page@ubuntu.com>  Mon, 11 Apr 2016 11:15:06 +0100

nova (2:13.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 16:04:26 -0400

nova (2:13.0.0~rc3-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Apr 2016 09:01:20 +0100

nova (2:13.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/extend-fake-cert-expire.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:34:59 -0400

nova (2:13.0.0~b3-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * d/control: Bump minimum version of openstack-pkg-tools to ensure that
    OSLO_LOCK_PATH and systemd stop timeouts are set correctly.

  [ Corey Bryant ]
  * New upstream release
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased patches.
  * d/p/skip-failing-wsgi-tests.patch: Skip test_ssl_server and test_two_servers,
    as they are failing on package builds since the replacement of eventlet-
    based raw socket client with requests.
  * d/p/extend-fake-cert-expire.patch: Cherry pick upstream patch to extend fake
    certificate expiration and fix intermittent test failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Mar 2016 10:55:29 -0500

nova (2:13.0.0~b2-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * d/nova-compute.upstart.in: Don't try to modprobe kernel modules if running
    within a container (LP: #1535271).

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/update-run-tests.patch: Dropped. run_tests.sh is being deprecated.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/disable-websockify-tests.patch: Rebased.
  * d/rules: Run tests with testr as run_tests.sh is being deprecated.
  * d/p/doc-conf-git.patch: Drop git commands that fail sphinx-build.
  * Drop EC2 API support as it is removed from the nova tree in Mitaka.
    Removes everything related to nova-api-ec2.
  * Drop nova-objectstore support as it is removed in Mitaka. Removes
    everything related to nova-objectstore.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jan 2016 10:44:27 -0500

nova (2:13.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/disable-sphinxcontrib.seqdiag.patch: Dropped. No longer needed.
  * d/p/ignore-proxies.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 11:20:37 -0500

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37ubuntu3~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bandit,
                     openssh-client,
                     python-babel (>= 1.3),
                     python-barbicanclient (>= 3.3.0),
                     python-boto (>= 2.32.1),
                     python-castellan (>= 0.3.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage (>= 3.6),
                     python-cryptography (>= 1.0),
                     python-decorator (>= 3.4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-ironicclient (>= 1.1.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 2.6.0),
                     python-os-brick (>= 1.0.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-prettytable (>= 0.7),
                     python-psutil (>= 1.1.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-rfc3986 (>= 0.2.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Build-Conflicts: python-cjson,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         openssh-client,
         openssl,
         python-babel (>= 1.3),
         python-boto (>= 2.32.1),
         python-castellan (>= 0.3.1),
         python-cinderclient (>= 1:1.3.1),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 2.6.0),
         python-os-brick (>= 1.0.0),
         python-os-win (>= 0.2.3),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paramiko (>= 1.13.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-prettytable (>= 0.7),
         python-psutil (>= 1.1.1),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-rfc3986 (>= 0.2.0),
         python-routes (>= 1.12.3),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ldap,
Conflicts: python-cjson,
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides},
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         python-nova (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: python-glanceclient,
            python-keystone,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends: adduser,
         ebtables,
         genisoimage,
         iptables,
         kpartx,
         libvirt-bin,
         nova-compute (= ${binary:Version}),
         open-iscsi,
         parted,
         python-libvirt,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${python:Depends},
Suggests: guestmount,
          multipath-tools,
          sg3-utils,
          sysfsutils,
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This dependency package provides common dependencies and setup for all libvirt
 based hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}),
         ${misc:Depends},
Provides: nova-compute-hypervisor,
Conflicts: nova-compute-hypervisor,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-xen
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}),
         xen-system-amd64 | xen-system-i386,
         ${misc:Depends},
Provides: nova-compute-hypervisor,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+# Send HTTP traffic to “discard” service
+export http_proxy = http://127.0.1.1:9/
+export https_proxy = ${http_proxy}
 
 %:
 	dh $@ --with python2,systemd
@@ -50,6 +54,11 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -N -P nova.tests.unit
-	#testr init && testr run 
+	rm -rf .testrepository
+	testr init && \
+	set -e && \
+	TEMP_REZ=`mktemp -t` && \
+	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+	rm -f $$TEMP_REZ ; \
+
 endif
